Skip to content

List delivery attempts for an endpoint

Request

Retrieve recent delivery attempts for a webhook endpoint, including status, response codes, and timestamps, to help debug your integration.

Security
ApiKeyAuth
Path
idstringrequired
Query
limitnumber, [ 1 .. 100 ]
Default:50
offsetnumber, >= 0
cursorstring
statusstring
Enum:"pending""delivered""failed""retrying"
curl -i -X GET \
  'https://api.pioneerft.com/api/public/v1/webhook-endpoints/{id}/deliveries?limit=50&offset=0&cursor=string&status=pending' \
  -H 'Authorization: Bearer <YOUR_API Key_HERE>'

Responses

Delivery attempts (most recent first)

Bodyapplication/json
dataArray of objects(PublicWebhookDelivery)
metaobject(PaginationMeta)
One of:
Response
{ "data": [ { "id": "string", "event": "string", "eventId": "string", "status": "string", "attempts": 0, "maxAttempts": 0, "responseStatus": 0, "responseTimeMs": 0, "nextRetryAt": "string", "deliveredAt": "string", "failedAt": "string", "createdAt": "string" } ], "meta": { "mode": "offset", "limit": 0, "offset": 0, "hasMore": true } }